Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalConstants

All Known Implementing Classes:
  BaseBean, FastPortalManager, PortalHelper, PortalUserJspBean, PortalManagerBean, GroupUserJspBean

public interface PortalConstants
extends ToolkitConstants

PortalConstants prescribes certain constants which facilitate portal/portlet operation.

Field Summary
`static java.lang.String` | `ALGORITHM` The algorithm we are using for encryption.
`static java.lang.String` | `COLUMN_INFORMATION` The lookup name for the ColumnInformation EJB.
`static java.lang.String` | `DEFAULT_CATEGORY_NAME` The default category name.
`static java.lang.String` | `GROUP_HIERARCHY` The lookup name for the Group Hierarchy EJB.
`static java.lang.String` | `GROUP_PERSONALIZATION` The lookup name for the GroupPersonalization EJB.
`static int` | `MAX_QUERIED_USERS` The maximum number of users that can be returned in a query.
`static int` | `NAME_MAX` The name/id maximum lengths.
`static int` | `PORTAL_COLUMN_MAX` The max number of portal columns.
`static java.lang.String` | `PORTAL_DEFINITION` The lookup name for the PortalDefinition EJB.
`static java.lang.String` | `PORTAL_GROUP_HIERARCHY` The lookup name for the PortalGroupHiearchy EJB.
`static java.lang.String` | `PORTAL_HIERARCHY` The lookup name for the PortalHiearchy EJB.
`static java.lang.String` | `PORTAL_MANAGER` The portal manager JNDI lookup name.
`static java.lang.String` | `PORTAL_PERSONALIZATION` The lookup name for the PortalPersonalization EJB.
`static java.lang.String` | `PORTAL_PROPERTIES` The lookup name for the PortalProperties EJB.
`static java.lang.String` | `PORTAL_SIGN_ON` The lookup name for the PortalSignOn EJB.
`static java.lang.String` | `PORTAL_USER_PROFILE` The lookup name for the PortalUserProfile EJB.
`static java.lang.String` | `PORTLET_DEFINITION` The lookup name for the PortletDefinition EJB.
`static java.lang.String` | `SEPARATOR` The separator used for session values.
`static int` | `URL_MAX` The URL db length.
`static java.lang.String` | `USER_HIERARCHY` The lookup name for the UserHiearchy EJB.
`static java.lang.String` | `USER_PERSONALIZATION` The lookup name for the UserPersonalization EJB.

Fields inherited from interface com.beasys.util.ToolkitConstants
`DEFAULT_ID_CACHE, DEFAULT_ID_PROCEDURE, DEFAULT_JDBC_POOL_NAME, DEFAULT_LOGGING_LEVEL, DEFAULT_WEBLOGIC_HOST, DEFAULT_WEBLOGIC_PORT, ID_CACHE, ID_PROCEDURE, JDBC_POOL_NAME, LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING, LOGGING_LEVEL, WEBLOGIC_HOST, WEBLOGIC_PORT`

Field Detail

### PORTAL_MANAGER

    public static final java.lang.String PORTAL_MANAGER

  The portal manager JNDI lookup name.

### COLUMN_INFORMATION

    public static final java.lang.String COLUMN_INFORMATION

  The lookup name for the ColumnInformation EJB.

### PORTAL_SIGN_ON

    public static final java.lang.String PORTAL_SIGN_ON

  The lookup name for the PortalSignOn EJB.

### GROUP_HIERARCHY

    public static final java.lang.String GROUP_HIERARCHY

  The lookup name for the Group Hierarchy EJB.

### PORTAL_GROUP_HIERARCHY

    public static final java.lang.String PORTAL_GROUP_HIERARCHY

  The lookup name for the PortalGroupHiearchy EJB.

### PORTAL_HIERARCHY

    public static final java.lang.String PORTAL_HIERARCHY

  The lookup name for the PortalHiearchy EJB.

### USER_HIERARCHY

    public static final java.lang.String USER_HIERARCHY

  The lookup name for the UserHiearchy EJB.

### PORTAL_PERSONALIZATION

    public static final java.lang.String PORTAL_PERSONALIZATION

  The lookup name for the PortalPersonalization EJB.

### GROUP_PERSONALIZATION

    public static final java.lang.String GROUP_PERSONALIZATION

  The lookup name for the GroupPersonalization EJB.

### USER_PERSONALIZATION

    public static final java.lang.String USER_PERSONALIZATION

  The lookup name for the UserPersonalization EJB.

### PORTAL_DEFINITION

    public static final java.lang.String PORTAL_DEFINITION

  The lookup name for the PortalDefinition EJB.

### PORTLET_DEFINITION

    public static final java.lang.String PORTLET_DEFINITION

  The lookup name for the PortletDefinition EJB.

### PORTAL_USER_PROFILE

    public static final java.lang.String PORTAL_USER_PROFILE

  The lookup name for the PortalUserProfile EJB.

### PORTAL_PROPERTIES

    public static final java.lang.String PORTAL_PROPERTIES

  The lookup name for the PortalProperties EJB.

### ALGORITHM

    public static final java.lang.String ALGORITHM

  The algorithm we are using for encryption.

### SEPARATOR

    public static final java.lang.String SEPARATOR

  The separator used for session values.

### NAME_MAX

    public static final int NAME_MAX

  The name/id maximum lengths.

### URL_MAX

    public static final int URL_MAX

  The URL db length.

### PORTAL_COLUMN_MAX

    public static final int PORTAL_COLUMN_MAX

  The max number of portal columns.

### MAX_QUERIED_USERS

    public static final int MAX_QUERIED_USERS

  The maximum number of users that can be returned in a query.

### DEFAULT_CATEGORY_NAME

    public static final java.lang.String DEFAULT_CATEGORY_NAME

  The default category name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved